Skip to content

getAbilities

READ

Get abilities.

POST /api/v1/resources/getAbilities
curl -X POST '<your-host>/api/v1/resources/getAbilities' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "employeeAbility": [
        {
          "employeeId": "string",
          "expiresAt": "string"
        }
      ],
      "active": true,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "curve": "…",
      "id": "string",
      "name": "string",
      "processId": "string",
      "recertifyEveryDays": 0,
      "shadowWeeks": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}